function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_txt"
end

function p.__main()
    set_default_block("s")
end

function p.__type_init(id)
    ia_block_new_var_s(id, "txt", "block txt testing...")
    --
    ia_block_new_var_b(id, "var_b", false)
    ia_block_new_var_i(id, "var_i", 0)
    ia_block_new_var_f(id, "var_f", 0.0)
    ia_block_new_var_v(id, "var_v", std.vec(0.0, 0.0, 0.0))
    ia_block_new_var_s(id, "var_s", "")
end

function p.__get_can_use(level, bp)
    return true
end

function p.__get_use_msg(level, bp)
    return "Read"
end

function p.__on_use(level, bp)
    --Using the txt window from the base package.
    local txt = ga_block_get_s(level, bp, "txt")
    ga_create_s("temp.base.textbox_text")
    ga_set_s("temp.base.textbox_text", txt)
    ga_window_push("win_base_txt")

    --Debugging.
    local value = ga_block_get_s(level, bp, "var_s")
    ga_print("Here in block_txt.use:")
    ga_print("  " .. value)
end
